ANASTASIS-DBINIT(1)

NAME
anastasis-dbinit - initialize Anastasis database

SYNOPSIS

anastasis-dbinit [-c FILENAME | --config=‌FILENAME] [-g | --gc] [-h | --help] [-L LOGLEVEL | --loglevel=‌LOGLEVEL] [-l FILENAME | --logfile=‌FILENAME] [-r | --reset] [-v | --version]

DESCRIPTION

anastasis-dbinit is a command-line tool to initialize the GNU Anastasis database. It creates the necessary tables and indices for an Anastasis server to operate.

Its options are as follows:

-c FILENAME | --config=‌FILENAME
    Use the configuration and other resources for the exchange to operate from FILENAME.

-g | --gc
    Garbage collect database. Deletes all unnecessary data in the database.

-h | --help
    Print short help on options.

-L LOGLEVEL | --loglevel=‌LOGLEVEL
    Specifies the log level to use. Accepted values are: DEBUG, INFO, WARNING, ERROR.

-l FILENAME | --logfile=‌FILENAME
    Send logging output to FILENAME.

-r | --reset
    Drop tables. Dangerous, will delete all existing data in the database before creating the tables.

-v | –version
    Print version information.

SEE ALSO

anastasis-httpd(1), anastasis.conf(5).

BUGS

Report bugs by using https://bugs.taler.net or by sending electronic mail to <taler@gnu.org>.

AUTHOR
Anastasis SARL

COPYRIGHT
2020-2021 Anastasis SARL (AGPLv3+ or GFDL 1.3+)